Config::Model::Role::WarpMaster(3pm)

NAME
Config::Model::Role::WarpMaster - register and trigger a warped element

VERSION
version 2.163

SYNOPSIS
 package Config::Model::Stuff;
 use Mouse;
 with Config::Model::Role::WarpMaster

DESCRIPTION
This role enable a configuration element to become a warp maser, i.e. a parameter whose value can change the features of the configuration tree (by controlling a warped_node) or the feature of various elements like leaf, hash ...

METHODS

  register
Parameters: "( $warped_object, warper_name )"

Register a new warped object. Called by an element which has a "warp" parameter. This method is calling on the object pointed by "follow" value.

  unregister
Parameters: "( warper_name )"

Remove a warped object from the object controlled by this warp master.

  trigger_warp
Parameters: "( value, stringified_value )"

Called by the object using this role when the value held by this object is changed (i.e. something like store was called). The passed value can be a plain scalar (from a value object) or a hash (from a check_list object). The stringified_value is a string shown in debug log.

-head2 has_warped_slaves

Return the number of object controlled by this master.

  get_warped_slaves
Return a list of object controlled by this master.

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2005-2022 by Dominique Dumont.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999